Apply by doing:
	cd /usr/src
	patch -p0 < 013_sem.patch
And then rebuild your kernel.

Index: sys/kern/sysv_sem.c
===================================================================
RCS file: /cvs/src/sys/kern/sysv_sem.c,v
retrieving revision 1.16.2.2
retrieving revision 1.16.2.3
diff -u -r1.16.2.2 -r1.16.2.3
--- sys/kern/sysv_sem.c	2003/09/10 15:38:01	1.16.2.2
+++ sys/kern/sysv_sem.c	2003/11/20 23:36:49	1.16.2.3
@@ -283,7 +283,7 @@
 	DPRINTF(("call to semctl(%d, %d, %d, %p)\n", semid, semnum, cmd, arg));
 
 	semid = IPCID_TO_IX(semid);
-	if (semid < 0 || semid >= seminfo.semmsl)
+	if (semid < 0 || semid >= seminfo.semmni)
 		return (EINVAL);
 
 	if ((semaptr = sema[semid]) == NULL ||
@@ -540,7 +540,7 @@
 
 	semid = IPCID_TO_IX(semid);	/* Convert back to zero origin */
 
-	if (semid < 0 || semid >= seminfo.semmsl)
+	if (semid < 0 || semid >= seminfo.semmni)
 		return (EINVAL);
 
 	if ((semaptr = sema[semid]) == NULL ||
